Bug 813798 - LVM on LUKS stopped recognizing LVM physical volume
LVM on LUKS stopped recognizing LVM physical volume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 09:01 EDT by Oleg
Modified: 2013-02-13 11:27 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:27:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Oleg 2012-04-18 09:01:04 EDT
Description of problem:
I have an encrypted setup with LVM on LUKS created by Fedora:
- one physical partition
- encrypted using LUKS
- inside LUKS container is LVM physical volume spanning across whole container
- inside LVM there are partitions /(root), /home/, /swap

After failed hibernation attempt system stopped booting:
- system starts and asks for password
- opens LUKS volume
- LVM fails to detect, that contents of LUKS volume are actually LVM, so it does not create device for root partition etc. - boot drops to dracut console

If I use less and examine contents of /dev/mapper/LUKS_...., at the beginning I see plain text LVM configuration in several versions with similiar date and time - steps made by Fedora installer in order to create root, home etc. partitions.

This failure is fatal for my end user and even for me. I will attempt repair using "pvcreate --restore" after I image the disk, but possibility of such failure is critical.

Version-Release number of selected component (if applicable):
Fedora kernel 3.1.9

How reproducible:
Don't know, how I got there. But failure repeats every time I boot.
Comment 1 Fedora End Of Life 2013-01-16 10:05:50 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 11:27:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.